//*********************************************************************************************************
//  mq constant conversion (numeric to text)
//
// author	Tony Madden	(tm@mqware.com)
//*********************************************************************************************************
#ifndef X_MQ_CONSTANTS_DEFINED
#define X_MQ_CONSTANTS_DEFINED

#define	XMQ_CONVERSION_TABLE_STRING_SIZE	50

#define	XMQ_UNKNOWN_VALUE	"unknown"


typedef struct  {
	char	string[XMQ_CONVERSION_TABLE_STRING_SIZE];
	long	reason;	
} XMQ_CONVERSION_TABLE,* pXMQ_CONVERSION_TABLE;		

//*this table consists of all  MQ v5 return codes
static XMQ_CONVERSION_TABLE	CT_MQRC[]= {
"MQRC_NONE"						,0000,
"MQRC_ALIAS_BASE_Q_TYPE_ERROR",	2001,
"MQRC_ALREADY_CONNECTED",		2002,
"MQRC_BACKED_OUT",				2003,
"MQRC_BUFFER_ERROR",			2004,
"MQRC_BUFFER_LENGTH_ERROR",		2005,
"MQRC_CHAR_ATTR_LENGTH_ERROR",	2006,
"MQRC_CHAR_ATTRS_ERROR",		2007,
"MQRC_CHAR_ATTRS_TOO_SHORT",	2008,
"MQRC_CONNECTION_BROKEN",		2009,
"MQRC_DATA_LENGTH_ERROR",		2010,
"MQRC_DYNAMIC_Q_NAME_ERROR",	2011,
"MQRC_ENVIRONMENT_ERROR",		2012,
"MQRC_EXPIRY_ERROR",			2013,
"MQRC_FEEDBACK_ERROR",			2014,
"MQRC_GET_INHIBITED",			2016,
"MQRC_HANDLE_NOT_AVAILABLE",	2017,
"MQRC_HCONN_ERROR",				2018,
"MQRC_HOBJ_ERROR",2019,
"MQRC_INHIBIT_VALUE_ERROR",2020,
"MQRC_INT_ATTR_COUNT_ERROR",2021,
"MQRC_INT_ATTR_COUNT_TOO_SMALL",2022,
"MQRC_INT_ATTRS_ARRAY_ERROR",2023,
"MQRC_SYNCPOINT_LIMIT_REACHED",2024,
"MQRC_MAX_CONNS_LIMIT_REACHED",2025,
"MQRC_MD_ERROR",2026,
"MQRC_MISSING_REPLY_TO_Q",2027,
"MQRC_MSG_TYPE_ERROR",2029,
"MQRC_MSG_TOO_BIG_FOR_Q",2030,
"MQRC_MSG_TOO_BIG_FOR_Q_MGR",2031,
"MQRC_NO_MSG_AVAILABLE",2033,
"MQRC_NO_MSG_UNDER_CURSOR",2034,
"MQRC_NOT_AUTHORIZED",2035,
"MQRC_NOT_OPEN_FOR_BROWSE",2036,
"MQRC_NOT_OPEN_FOR_INPUT",2037,
"MQRC_NOT_OPEN_FOR_INQUIRE",2038,
"MQRC_NOT_OPEN_FOR_OUTPUT",2039,
"MQRC_NOT_OPEN_FOR_SET",2040,
"MQRC_OBJECT_CHANGED",2041,
"MQRC_OBJECT_IN_USE",2042,
"MQRC_OBJECT_TYPE_ERROR",2043,
"MQRC_OD_ERROR",2044,
"MQRC_OPTION_NOT_VALID_FOR_TYPE",2045,
"MQRC_OPTIONS_ERROR",2046,
"MQRC_PERSISTENCE_ERROR",2047,
"MQRC_PERSISTENT_NOT_ALLOWED",2048,
"MQRC_PRIORITY_EXCEEDS_MAXIMUM",2049,
"MQRC_PRIORITY_ERROR",2050,
"MQRC_PUT_INHIBITED",2051,
"MQRC_Q_DELETED",2052,
"MQRC_Q_FULL",2053,
"MQRC_Q_NOT_EMPTY",2055,
"MQRC_Q_SPACE_NOT_AVAILABLE",2056,
"MQRC_Q_TYPE_ERROR",2057,
"MQRC_Q_MGR_NAME_ERROR",2058,
"MQRC_Q_MGR_NOT_AVAILABLE",2059,
"MQRC_REPORT_OPTIONS_ERROR",2061,
"MQRC_SECOND_MARK_NOT_ALLOWED",2062,
"MQRC_SECURITY_ERROR",2063,
"MQRC_SELECTOR_COUNT_ERROR",2065,
"MQRC_SELECTOR_LIMIT_EXCEEDED",2066,
"MQRC_SELECTOR_ERROR",2067,
"MQRC_SELECTOR_NOT_FOR_TYPE",2068,
"MQRC_SIGNAL_OUTSTANDING",2069,
"MQRC_SIGNAL_REQUEST_ACCEPTED",2070,
"MQRC_STORAGE_NOT_AVAILABLE",2071,
"MQRC_SYNCPOINT_NOT_AVAILABLE",2072,
"MQRC_TRIGGER_CONTROL_ERROR",2075,
"MQRC_TRIGGER_DEPTH_ERROR",2076,
"MQRC_TRIGGER_MSG_PRIORITY_ERR",2077,
"MQRC_TRIGGER_TYPE_ERROR",2078,
"MQRC_TRUNCATED_MSG_ACCEPTED",2079,
"MQRC_TRUNCATED_MSG_FAILED",2080,
"MQRC_UNKNOWN_ALIAS_BASE_Q",2082,
"MQRC_UNKNOWN_OBJECT_NAME",2085,
"MQRC_UNKNOWN_OBJECT_Q_MGR",2086,
"MQRC_UNKNOWN_REMOTE_Q_MGR",2087,
"MQRC_WAIT_INTERVAL_ERROR",2090,
"MQRC_XMIT_Q_TYPE_ERROR",2091,
"MQRC_XMIT_Q_USAGE_ERROR",2092,
"MQRC_NOT_OPEN_FOR_PASS_ALL",2093,
"MQRC_NOT_OPEN_FOR_PASS_IDENT",2094,
"MQRC_NOT_OPEN_FOR_SET_ALL",2095,
"MQRC_NOT_OPEN_FOR_SET_IDENT",2096,
"MQRC_CONTEXT_HANDLE_ERROR",2097,
"MQRC_CONTEXT_NOT_AVAILABLE",2098,
"MQRC_SIGNAL1_ERROR",2099,
"MQRC_OBJECT_ALREADY_EXISTS",2100,
"MQRC_OBJECT_DAMAGED",2101,
"MQRC_RESOURCE_PROBLEM",2102,
"MQRC_ANOTHER_Q_MGR_CONNECTED",2103,
"MQRC_UNKNOWN_REPORT_OPTION",2104,
"MQRC_STORAGE_CLASS_ERROR",2105,
"MQRC_COD_NOT_VALID_FOR_XCF_Q",2106,
"MQRC_XWAIT_CANCELED",2107,
"MQRC_XWAIT_ERROR",2108,
"MQRC_SUPPRESSED_BY_EXIT",2109,
"MQRC_FORMAT_ERROR",2110,
"MQRC_SOURCE_CCSID_ERROR",2111,
"MQRC_SOURCE_INTEGER_ENC_ERROR",2112,
"MQRC_SOURCE_DECIMAL_ENC_ERROR",2113,
"MQRC_SOURCE_FLOAT_ENC_ERROR",2114,
"MQRC_TARGET_CCSID_ERROR",2115,
"MQRC_TARGET_INTEGER_ENC_ERROR",2116,
"MQRC_TARGET_DECIMAL_ENC_ERROR",2117,
"MQRC_TARGET_FLOAT_ENC_ERROR",2118,
"MQRC_NOT_CONVERTED",2119,
"MQRC_CONVERTED_MSG_TOO_BIG",2120,
"MQRC_TRUNCATED",2120,
"MQRC_NO_EXTERNAL_PARTICIPANTS",2121,
"MQRC_PARTICIPANT_NOT_AVAILABLE",2122,
"MQRC_OUTCOME_MIXED",2123,
"MQRC_OUTCOME_PENDING",2124,
"MQRC_BRIDGE_STARTED",2125,
"MQRC_BRIDGE_STOPPED",2126,
"MQRC_ADAPTER_STORAGE_SHORTAGE",2127,
"MQRC_UOW_IN_PROGRESS",2128,
"MQRC_ADAPTER_CONN_LOAD_ERROR",2129,
"MQRC_ADAPTER_SERV_LOAD_ERROR",2130,
"MQRC_ADAPTER_DEFS_ERROR",2131,
"MQRC_ADAPTER_DEFS_LOAD_ERROR",2132,
"MQRC_ADAPTER_CONV_LOAD_ERROR",2133,
"MQRC_BO_ERROR",2134,
"MQRC_DH_ERROR",2135,
"MQRC_MULTIPLE_REASONS",2136,
"MQRC_OPEN_FAILED",2137,
"MQRC_ADAPTER_DISC_LOAD_ERROR",2138,
"MQRC_CNO_ERROR",2139,
"MQRC_CICS_WAIT_FAILED",2140,
"MQRC_DLH_ERROR",2141,
"MQRC_HEADER_ERROR",2142,
"MQRC_SOURCE_LENGTH_ERROR",2143,
"MQRC_TARGET_LENGTH_ERROR",2144,
"MQRC_SOURCE_BUFFER_ERROR",2145,
"MQRC_TARGET_BUFFER_ERROR",2146,
"MQRC_IIH_ERROR",2148,
"MQRC_PCF_ERROR",2149,
"MQRC_DBCS_ERROR",2150,
"MQRC_OBJECT_NAME_ERROR",2152,
"MQRC_OBJECT_Q_MGR_NAME_ERROR",2153,
"MQRC_RECS_PRESENT_ERROR",2154,
"MQRC_OBJECT_RECORDS_ERROR",2155,
"MQRC_RESPONSE_RECORDS_ERROR",2156,
"MQRC_ASID_MISMATCH",2157,
"MQRC_PMO_RECORD_FLAGS_ERROR",2158,
"MQRC_PUT_MSG_RECORDS_ERROR",2159,
"MQRC_CONN_ID_IN_USE",2160,
"MQRC_Q_MGR_QUIESCING",2161,
"MQRC_Q_MGR_STOPPING",2162,
"MQRC_DUPLICATE_RECOV_COORD",2163,
"MQRC_PMO_ERROR",2173,
"MQRC_API_EXIT_NOT_FOUND",2182,
"MQRC_API_EXIT_LOAD_ERROR",2183,
"MQRC_REMOTE_Q_NAME_ERROR",2184,
"MQRC_INCONSISTENT_PERSISTENCE",2185,
"MQRC_GMO_ERROR",2186,
"MQRC_CICS_BRIDGE_RESTRICTION",2187,
"MQRC_STOPPED_BY_CLUSTER_EXIT",2188,
"MQRC_CLUSTER_RESOLUTION_ERROR",2189,
"MQRC_CONVERTED_STRING_TOO_BIG",2190,
"MQRC_TMC_ERROR",2191,
"MQRC_PAGESET_FULL",2192,
"MQRC_STORAGE_MEDIUM_FULL",2192,
"MQRC_PAGESET_ERROR",2193,
"MQRC_NAME_NOT_VALID_FOR_TYPE",2194,
"MQRC_UNEXPECTED_ERROR",2195,
"MQRC_UNKNOWN_XMIT_Q",2196,
"MQRC_UNKNOWN_DEF_XMIT_Q",2197,
"MQRC_DEF_XMIT_Q_TYPE_ERROR",2198,
"MQRC_DEF_XMIT_Q_USAGE_ERROR",2199,
"MQRC_NAME_IN_USE",2201,
"MQRC_CONNECTION_QUIESCING",2202,
"MQRC_CONNECTION_STOPPING",2203,
"MQRC_ADAPTER_NOT_AVAILABLE",2204,
"MQRC_MSG_ID_ERROR",2206,
"MQRC_CORREL_ID_ERROR",2207,
"MQRC_FILE_SYSTEM_ERROR",2208,
"MQRC_NO_MSG_LOCKED",2209,
"MQRC_FILE_NOT_AUDITED",2216,
"MQRC_CONNECTION_NOT_AUTHORIZED",2217,
"MQRC_MSG_TOO_BIG_FOR_CHANNEL",2218,
"MQRC_CALL_IN_PROGRESS",2219,
"MQRC_RMH_ERROR",2220,
"MQRC_Q_MGR_ACTIVE",2222,
"MQRC_Q_MGR_NOT_ACTIVE",2223,
"MQRC_Q_DEPTH_HIGH",2224,
"MQRC_Q_DEPTH_LOW",2225,
"MQRC_Q_SERVICE_INTERVAL_HIGH",2226,
"MQRC_Q_SERVICE_INTERVAL_OK",2227,
"MQRC_UNIT_OF_WORK_NOT_STARTED",2232,
"MQRC_CHANNEL_AUTO_DEF_OK",2233,
"MQRC_CHANNEL_AUTO_DEF_ERROR",2234,
"MQRC_CFH_ERROR",2235,
"MQRC_CFIL_ERROR",2236,
"MQRC_CFIN_ERROR",2237,
"MQRC_CFSL_ERROR",2238,
"MQRC_CFST_ERROR",2239,
"MQRC_INCOMPLETE_GROUP",2241,
"MQRC_INCOMPLETE_MSG",2242,
"MQRC_INCONSISTENT_CCSIDS",2243,
"MQRC_INCONSISTENT_ENCODINGS",2244,
"MQRC_INCONSISTENT_UOW",2245,
"MQRC_INVALID_MSG_UNDER_CURSOR",2246,
"MQRC_MATCH_OPTIONS_ERROR",2247,
"MQRC_MDE_ERROR",2248,
"MQRC_MSG_FLAGS_ERROR",2249,
"MQRC_MSG_SEQ_NUMBER_ERROR",2250,
"MQRC_OFFSET_ERROR",2251,
"MQRC_ORIGINAL_LENGTH_ERROR",2252,
"MQRC_SEGMENT_LENGTH_ZERO",2253,
"MQRC_UOW_NOT_AVAILABLE",2255,
"MQRC_WRONG_GMO_VERSION",2256,
"MQRC_WRONG_MD_VERSION",2257,
"MQRC_GROUP_ID_ERROR",2258,
"MQRC_INCONSISTENT_BROWSE",2259,
"MQRC_XQH_ERROR",2260,
"MQRC_SRC_ENV_ERROR",2261,
"MQRC_SRC_NAME_ERROR",2262,
"MQRC_DEST_ENV_ERROR",2263,
"MQRC_DEST_NAME_ERROR",2264,
"MQRC_TM_ERROR",2265,
"MQRC_CLUSTER_EXIT_ERROR",2266,
"MQRC_CLUSTER_EXIT_LOAD_ERROR",2267,
"MQRC_CLUSTER_PUT_INHIBITED",2268,
"MQRC_CLUSTER_RESOURCE_ERROR",2269,
"MQRC_NO_DESTINATIONS_AVAILABLE",2270,
"MQRC_CONN_TAG_IN_USE",2271,
"MQRC_PARTIALLY_CONVERTED",2272,
"MQRC_CONNECTION_ERROR",2273,
"MQRC_OPTION_ENVIRONMENT_ERROR",2274,
"MQRC_CD_ERROR",2277,
"MQRC_CLIENT_CONN_ERROR",2278,
"MQRC_CHANNEL_STOPPED_BY_USER",2279,
"MQRC_HCONFIG_ERROR",2280,
"MQRC_FUNCTION_ERROR",2281,
"MQRC_CHANNEL_STARTED",2282,
"MQRC_CHANNEL_STOPPED",2283,
"MQRC_CHANNEL_CONV_ERROR",2284,
"MQRC_SERVICE_NOT_AVAILABLE",2285,
"MQRC_INITIALIZATION_FAILED",2286,
"MQRC_TERMINATION_FAILED",2287,
"MQRC_UNKNOWN_Q_NAME",2288,
"MQRC_SERVICE_ERROR",2289,
"MQRC_Q_ALREADY_EXISTS",2290,
"MQRC_USER_ID_NOT_AVAILABLE",2291,
"MQRC_UNKNOWN_ENTITY",2292,
"MQRC_UNKNOWN_AUTH_ENTITY",2293,
"MQRC_UNKNOWN_REF_OBJECT",2294,
"MQRC_CHANNEL_ACTIVATED",2295,
"MQRC_CHANNEL_NOT_ACTIVATED",2296,
"MQRC_UOW_CANCELED",2297,
"MQRC_FUNCTION_NOT_SUPPORTED",2298,
"MQRC_SELECTOR_TYPE_ERROR",2299,
"MQRC_COMMAND_TYPE_ERROR",2300,
"MQRC_MULTIPLE_INSTANCE_ERROR",2301,
"MQRC_SYSTEM_ITEM_NOT_ALTERABLE",2302,
"MQRC_BAG_CONVERSION_ERROR",2303,
"MQRC_SELECTOR_OUT_OF_RANGE",2304,
"MQRC_SELECTOR_NOT_UNIQUE",2305,
"MQRC_INDEX_NOT_PRESENT",2306,
"MQRC_STRING_ERROR",2307,
"MQRC_ENCODING_NOT_SUPPORTED",2308,
"MQRC_SELECTOR_NOT_PRESENT",2309,
"MQRC_OUT_SELECTOR_ERROR",2310,
"MQRC_STRING_TRUNCATED",2311,
"MQRC_SELECTOR_WRONG_TYPE",2312,
"MQRC_INCONSISTENT_ITEM_TYPE",2313,
"MQRC_INDEX_ERROR",2314,
"MQRC_SYSTEM_BAG_NOT_ALTERABLE",2315,
"MQRC_ITEM_COUNT_ERROR",2316,
"MQRC_FORMAT_NOT_SUPPORTED",2317,
"MQRC_SELECTOR_NOT_SUPPORTED",2318,
"MQRC_ITEM_VALUE_ERROR",2319,
"MQRC_HBAG_ERROR",2320,
"MQRC_PARAMETER_MISSING",2321,
"MQRC_CMD_SERVER_NOT_AVAILABLE",2322,
"MQRC_STRING_LENGTH_ERROR",2323,
"MQRC_INQUIRY_COMMAND_ERROR",2324,
"MQRC_NESTED_BAG_NOT_SUPPORTED",2325,
"MQRC_BAG_WRONG_TYPE",2326,
"MQRC_ITEM_TYPE_ERROR",2327,
"MQRC_SYSTEM_BAG_NOT_DELETABLE",2328,
"MQRC_SYSTEM_ITEM_NOT_DELETABLE",2329,
"MQRC_CODED_CHAR_SET_ID_ERROR",2330,
"MQRC_MSG_TOKEN_ERROR",2331,
"MQRC_MISSING_WIH",2332,
"MQRC_WIH_ERROR",2333,
"MQRC_RFH_ERROR",2334,
"MQRC_RFH_STRING_ERROR",2335,
"MQRC_RFH_COMMAND_ERROR",2336,
"MQRC_RFH_PARM_ERROR",2337,
"MQRC_RFH_DUPLICATE_PARM",2338,
"MQRC_RFH_PARM_MISSING",2339,
"MQRC_CHAR_CONVERSION_ERROR",2340,
"MQRC_UCS2_CONVERSION_ERROR",2341,
"MQRC_DB2_NOT_AVAILABLE",2342,
"MQRC_OBJECT_NOT_UNIQUE",2343,
"MQRC_CONN_TAG_NOT_RELEASED",2344,
"MQRC_CF_NOT_AVAILABLE",2345,
"MQRC_CF_STRUC_IN_USE",2346,
"MQRC_CF_STRUC_LIST_HDR_IN_USE",2347,
"MQRC_CF_STRUC_AUTH_FAILED",2348,
"MQRC_CF_STRUC_ERROR",2349,
"MQRC_CONN_TAG_NOT_USABLE",2350,
"MQRC_GLOBAL_UOW_CONFLICT",2351,
"MQRC_LOCAL_UOW_CONFLICT",2352,
"MQRC_HANDLE_IN_USE_FOR_UOW",2353,
"MQRC_UOW_ENLISTMENT_ERROR",2354,
"MQRC_UOW_MIX_NOT_SUPPORTED",2355,
"MQRC_WXP_ERROR",2356,
"MQRC_CURRENT_RECORD_ERROR",2357,
"MQRC_NEXT_OFFSET_ERROR",2358,
"MQRC_NO_RECORD_AVAILABLE",2359,
"MQRC_OBJECT_LEVEL_INCOMPATIBLE",2360,
"MQRC_NEXT_RECORD_ERROR",2361,
"MQRCCF_CFH_TYPE_ERROR",3001,
"MQRCCF_CFH_LENGTH_ERROR",3002,
"MQRCCF_CFH_VERSION_ERROR",3003,
"MQRCCF_CFH_MSG_SEQ_NUMBER_ERR",3004,
"MQRCCF_CFH_CONTROL_ERROR",3005,
"MQRCCF_CFH_PARM_COUNT_ERROR",3006,
"MQRCCF_CFH_COMMAND_ERROR",3007,
"MQRCCF_COMMAND_FAILED",3008,
"MQRCCF_CFIN_LENGTH_ERROR",3009,
"MQRCCF_CFST_LENGTH_ERROR",3010,
"MQRCCF_CFST_STRING_LENGTH_ERR",3011,
"MQRCCF_FORCE_VALUE_ERROR",3012,
"MQRCCF_STRUCTURE_TYPE_ERROR",3013,
"MQRCCF_CFIN_PARM_ID_ERROR",3014,
"MQRCCF_CFST_PARM_ID_ERROR",3015,
"MQRCCF_MSG_LENGTH_ERROR",3016,
"MQRCCF_CFIN_DUPLICATE_PARM",3017,
"MQRCCF_CFST_DUPLICATE_PARM",3018,
"MQRCCF_PARM_COUNT_TOO_SMALL",3019,
"MQRCCF_PARM_COUNT_TOO_BIG",3020,
"MQRCCF_Q_ALREADY_IN_CELL",3021,
"MQRCCF_Q_TYPE_ERROR",3022,
"MQRCCF_MD_FORMAT_ERROR",3023,
"MQRCCF_CFSL_LENGTH_ERROR",3024,
"MQRCCF_REPLACE_VALUE_ERROR",3025,
"MQRCCF_CFIL_DUPLICATE_VALUE",3026,
"MQRCCF_CFIL_COUNT_ERROR",3027,
"MQRCCF_CFIL_LENGTH_ERROR",3028,
"MQRCCF_QUIESCE_VALUE_ERROR",3029,
"MQRCCF_MSG_SEQ_NUMBER_ERROR",3030,
"MQRCCF_PING_DATA_COUNT_ERROR",3031,
"MQRCCF_PING_DATA_COMPARE_ERROR",3032,
"MQRCCF_CFSL_PARM_ID_ERROR",3033,
"MQRCCF_CHANNEL_TYPE_ERROR",3034,
"MQRCCF_PARM_SEQUENCE_ERROR",3035,
"MQRCCF_XMIT_PROTOCOL_TYPE_ERR",3036,
"MQRCCF_BATCH_SIZE_ERROR",3037,
"MQRCCF_DISC_INT_ERROR",3038,
"MQRCCF_SHORT_RETRY_ERROR",3039,
"MQRCCF_SHORT_TIMER_ERROR",3040,
"MQRCCF_LONG_RETRY_ERROR",3041,
"MQRCCF_LONG_TIMER_ERROR",3042,
"MQRCCF_SEQ_NUMBER_WRAP_ERROR",3043,
"MQRCCF_MAX_MSG_LENGTH_ERROR",3044,
"MQRCCF_PUT_AUTH_ERROR",3045,
"MQRCCF_PURGE_VALUE_ERROR",3046,
"MQRCCF_CFIL_PARM_ID_ERROR",3047,
"MQRCCF_MSG_TRUNCATED",3048,
"MQRCCF_CCSID_ERROR",3049,
"MQRCCF_ENCODING_ERROR",3050,
"MQRCCF_DATA_CONV_VALUE_ERROR",3052,
"MQRCCF_INDOUBT_VALUE_ERROR",3053,
"MQRCCF_ESCAPE_TYPE_ERROR",3054,
"MQRCCF_CHANNEL_TABLE_ERROR",3062,
"MQRCCF_MCA_TYPE_ERROR",3063,
"MQRCCF_CHL_INST_TYPE_ERROR",3064,
"MQRCCF_CHL_STATUS_NOT_FOUND",3065,
"MQRCCF_CFSL_DUPLICATE_PARM",3066,
"MQRCCF_CFSL_TOTAL_LENGTH_ERROR",3067,
"MQRCCF_CFSL_COUNT_ERROR",3068,
"MQRCCF_CFSL_STRING_LENGTH_ERR",3069,
"MQRCCF_BROKER_DELETED",3070,
"MQRCCF_STREAM_ERROR",3071,
"MQRCCF_TOPIC_ERROR",3072,
"MQRCCF_NOT_REGISTERED",3073,
"MQRCCF_Q_MGR_NAME_ERROR",3074,
"MQRCCF_INCORRECT_STREAM",3075,
"MQRCCF_Q_NAME_ERROR",3076,
"MQRCCF_NO_RETAINED_MSG",3077,
"MQRCCF_DUPLICATE_IDENTITY",3078,
"MQRCCF_INCORRECT_Q",3079,
"MQRCCF_CORREL_ID_ERROR",3080,
"MQRCCF_NOT_AUTHORIZED",3081,
"MQRCCF_UNKNOWN_STREAM",3082,
"MQRCCF_REG_OPTIONS_ERROR",3083,
"MQRCCF_PUB_OPTIONS_ERROR",3084,
"MQRCCF_UNKNOWN_BROKER",3085,
"MQRCCF_Q_MGR_CCSID_ERROR",3086,
"MQRCCF_DEL_OPTIONS_ERROR",3087,
"MQRCCF_CLUSTER_NAME_CONFLICT",3088,
"MQRCCF_REPOS_NAME_CONFLICT",3089,
"MQRCCF_CLUSTER_Q_USAGE_ERROR",3090,
"MQRCCF_ACTION_VALUE_ERROR",3091,
"MQRCCF_COMMS_LIBRARY_ERROR",3092,
"MQRCCF_NETBIOS_NAME_ERROR",3093,
"MQRCCF_BROKER_COMMAND_FAILED",3094,
"MQRCCF_FILTER_ERROR",3150,
"MQRCCF_WRONG_USER",3151,
"MQRCCF_OBJECT_ALREADY_EXISTS",4001,
"MQRCCF_OBJECT_WRONG_TYPE",4002,
"MQRCCF_LIKE_OBJECT_WRONG_TYPE",4003,
"MQRCCF_OBJECT_OPEN",4004,
"MQRCCF_ATTR_VALUE_ERROR",4005,
"MQRCCF_UNKNOWN_Q_MGR",4006,
"MQRCCF_Q_WRONG_TYPE",4007,
"MQRCCF_OBJECT_NAME_ERROR",4008,
"MQRCCF_ALLOCATE_FAILED",4009,
"MQRCCF_HOST_NOT_AVAILABLE",4010,
"MQRCCF_CONFIGURATION_ERROR",4011,
"MQRCCF_CONNECTION_REFUSED",4012,
"MQRCCF_ENTRY_ERROR",4013,
"MQRCCF_SEND_FAILED",4014,
"MQRCCF_RECEIVED_DATA_ERROR",4015,
"MQRCCF_RECEIVE_FAILED",4016,
"MQRCCF_CONNECTION_CLOSED",4017,
"MQRCCF_NO_STORAGE",4018,
"MQRCCF_NO_COMMS_MANAGER",4019,
"MQRCCF_LISTENER_NOT_STARTED",4020,
"MQRCCF_BIND_FAILED",4024,
"MQRCCF_CHANNEL_INDOUBT",4025,
"MQRCCF_MQCONN_FAILED",4026,
"MQRCCF_MQOPEN_FAILED",4027,
"MQRCCF_MQGET_FAILED",4028,
"MQRCCF_MQPUT_FAILED",4029,
"MQRCCF_PING_ERROR",4030,
"MQRCCF_CHANNEL_IN_USE",4031,
"MQRCCF_CHANNEL_NOT_FOUND",4032,
"MQRCCF_UNKNOWN_REMOTE_CHANNEL",4033,
"MQRCCF_REMOTE_QM_UNAVAILABLE",4034,
"MQRCCF_REMOTE_QM_TERMINATING",4035,
"MQRCCF_MQINQ_FAILED",4036,
"MQRCCF_NOT_XMIT_Q",4037,
"MQRCCF_CHANNEL_DISABLED",4038,
"MQRCCF_USER_EXIT_NOT_AVAILABLE",4039,
"MQRCCF_COMMIT_FAILED",4040,
"MQRCCF_CHANNEL_ALREADY_EXISTS",4042,
"MQRCCF_DATA_TOO_LARGE",4043,
"MQRCCF_CHANNEL_NAME_ERROR",4044,
"MQRCCF_XMIT_Q_NAME_ERROR",4045,
"MQRCCF_MCA_NAME_ERROR",4047,
"MQRCCF_SEND_EXIT_NAME_ERROR",4048,
"MQRCCF_SEC_EXIT_NAME_ERROR",4049,
"MQRCCF_MSG_EXIT_NAME_ERROR",4050,
"MQRCCF_RCV_EXIT_NAME_ERROR",4051,
"MQRCCF_XMIT_Q_NAME_WRONG_TYPE",4052,
"MQRCCF_MCA_NAME_WRONG_TYPE",4053,
"MQRCCF_DISC_INT_WRONG_TYPE",4054,
"MQRCCF_SHORT_RETRY_WRONG_TYPE",4055,
"MQRCCF_SHORT_TIMER_WRONG_TYPE",4056,
"MQRCCF_LONG_RETRY_WRONG_TYPE",4057,
"MQRCCF_LONG_TIMER_WRONG_TYPE",4058,
"MQRCCF_PUT_AUTH_WRONG_TYPE",4059,
"MQRCCF_MISSING_CONN_NAME",4061,
"MQRCCF_CONN_NAME_ERROR",4062,
"MQRCCF_MQSET_FAILED",4063,
"MQRCCF_CHANNEL_NOT_ACTIVE",4064,
"MQRCCF_TERMINATED_BY_SEC_EXIT",4065,
"MQRCCF_DYNAMIC_Q_SCOPE_ERROR",4067,
"MQRCCF_CELL_DIR_NOT_AVAILABLE",4068,
"MQRCCF_MR_COUNT_ERROR",4069,
"MQRCCF_MR_COUNT_WRONG_TYPE",4070,
"MQRCCF_MR_EXIT_NAME_ERROR",4071,
"MQRCCF_MR_EXIT_NAME_WRONG_TYPE",4072,
"MQRCCF_MR_INTERVAL_ERROR",4073,
"MQRCCF_MR_INTERVAL_WRONG_TYPE",4074,
"MQRCCF_NPM_SPEED_ERROR",4075,
"MQRCCF_NPM_SPEED_WRONG_TYPE",4076,
"MQRCCF_HB_INTERVAL_ERROR",4077,
"MQRCCF_HB_INTERVAL_WRONG_TYPE",4078,
"MQRCCF_CHAD_ERROR",4079,
"MQRCCF_CHAD_WRONG_TYPE",4080,
"MQRCCF_CHAD_EVENT_ERROR",4081,
"MQRCCF_CHAD_EVENT_WRONG_TYPE",4082,
"MQRCCF_CHAD_EXIT_ERROR",4083,
"MQRCCF_CHAD_EXIT_WRONG_TYPE",4084,
"MQRCCF_SUPPRESSED_BY_EXIT",4085,
"MQRCCF_BATCH_INT_ERROR",4086,
"MQRCCF_BATCH_INT_WRONG_TYPE",4087,
"MQRCCF_NET_PRIORITY_ERROR",4088,
"MQRCCF_NET_PRIORITY_WRONG_TYPE",4089,
"MQRCCF_CHANNEL_CLOSED",4090,
"MQRC_REOPEN_EXCL_INPUT_ERROR",6100L,
"MQRC_REOPEN_INQUIRE_ERROR",6101L,
"MQRC_REOPEN_SAVED_CONTEXT_ERR",6102L,
"MQRC_REOPEN_TEMPORARY_Q_ERROR",6103L,
"MQRC_ATTRIBUTE_LOCKED",6104L,
"MQRC_CURSOR_NOT_VALID",6105L,
"MQRC_ENCODING_ERROR",6106L,
"MQRC_STRUC_ID_ERROR",6107L,
"MQRC_NULL_POINTER",6108L,
"MQRC_NO_CONNECTION_REFERENCE",6109L,
"MQRC_NO_BUFFER",6110L,
"MQRC_BINARY_DATA_LENGTH_ERROR",6111L,
"MQRC_BUFFER_NOT_AUTOMATIC",6112L,
"MQRC_INSUFFICIENT_BUFFER",6113L,
"MQRC_INSUFFICIENT_DATA",6114L,
"MQRC_DATA_TRUNCATED",6115L,
"MQRC_ZERO_LENGTH",6116L,
"MQRC_NEGATIVE_LENGTH",6117L,
"MQRC_NEGATIVE_OFFSET",6118L,
"MQRC_INCONSISTENT_FORMAT",6119L,
"MQRC_INCONSISTENT_OBJECT_STATE",6120L,
"MQRC_CONTEXT_OBJECT_NOT_VALID",6121L,
"MQRC_CONTEXT_OPEN_ERROR",6122L,
"MQRC_STRUC_LENGTH_ERROR",6123L,
"MQRC_NOT_CONNECTED",6124L,
"MQRC_NOT_OPEN",6125L,
"MQRC_DISTRIBUTION_LIST_EMPTY",6126L,
"MQRC_INCONSISTENT_OPEN_OPTIONS",6127L,
"MQRC_WRONG_VERSION",6128L,
"MQRC_REFERENCE_ERROR",6129L,
};       

/**/
static XMQ_CONVERSION_TABLE	CT_MQCMD[]= {
 "MQCMD_NONE",  0L,
 "MQCMD_CHANGE_Q_MGR",         1L,
 "MQCMD_INQUIRE_Q_MGR",        2L,
 "MQCMD_CHANGE_PROCESS",       3L,
 "MQCMD_COPY_PROCESS",         4L,
 "MQCMD_CREATE_PROCESS",        5L,
 "MQCMD_DELETE_PROCESS",        6L,
 "MQCMD_INQUIRE_PROCESS",        7L,
 "MQCMD_CHANGE_Q",        8L,
 "MQCMD_CLEAR_Q",         9L,
 "MQCMD_COPY_Q",         10L,
 "MQCMD_CREATE_Q",         11L,
 "MQCMD_DELETE_Q",         12L,
 "MQCMD_INQUIRE_Q",         13L,
 "MQCMD_RESET_Q_STATS",        17L,
 "MQCMD_INQUIRE_Q_NAMES",        18L,
 "MQCMD_INQUIRE_PROCESS_NAMES",  19L,
 "MQCMD_INQUIRE_CHANNEL_NAMES",   20L,
 "MQCMD_CHANGE_CHANNEL",      21L,
 "MQCMD_COPY_CHANNEL",        22L,
 "MQCMD_CREATE_CHANNEL",        23L,
 "MQCMD_DELETE_CHANNEL",       24L,
 "MQCMD_INQUIRE_CHANNEL",    25L,
 "MQCMD_PING_CHANNEL",          26L,
 "MQCMD_RESET_CHANNEL",       27L,
 "MQCMD_START_CHANNEL",        28L,
 "MQCMD_STOP_CHANNEL",        29L,
 "MQCMD_START_CHANNEL_INIT",     30L,
 "MQCMD_START_CHANNEL_LISTENER",  31L,
 "MQCMD_CHANGE_NAMELIST",      32L,
 "MQCMD_COPY_NAMELIST",      33L,
 "MQCMD_CREATE_NAMELIST",      34L,
 "MQCMD_DELETE_NAMELIST",      35L,
 "MQCMD_INQUIRE_NAMELIST",    36L,
 "MQCMD_INQUIRE_NAMELIST_NAMES", 37L,
 "MQCMD_ESCAPE",         38L,
 "MQCMD_RESOLVE_CHANNEL",      39L,
 "MQCMD_PING_Q_MGR",       40L,
 "MQCMD_INQUIRE_CHANNEL_STATUS", 42L,
 "MQCMD_Q_MGR_EVENT",        44L,
 "MQCMD_PERFM_EVENT",       45L,
 "MQCMD_CHANNEL_EVENT",       46L,
 "MQCMD_DELETE_PUBLICATION",    60L,
 "MQCMD_DEREGISTER_PUBLISHER",   61L,
 "MQCMD_DEREGISTER_SUBSCRIBER",  62L,
 "MQCMD_PUBLISH",     63L,
 "MQCMD_REGISTER_PUBLISHER",   64L,
 "MQCMD_REGISTER_SUBSCRIBER",   65L,
 "MQCMD_REQUEST_UPDATE",   66L,
 "MQCMD_BROKER_INTERNAL",   67L,
 "MQCMD_INQUIRE_CLUSTER_Q_MGR",  70L,
 "MQCMD_RESUME_Q_MGR_CLUSTER",  71L,
 "MQCMD_SUSPEND_Q_MGR_CLUSTER",  72L,
 "MQCMD_REFRESH_CLUSTER",  73L,
 "MQCMD_RESET_CLUSTER",      74L,
 "MQCMD_REFRESH_SECURITY",    78L,
};
 
static XMQ_CONVERSION_TABLE	CT_MQAT[]= {
 "MQAT_UNKNOWN", (-1L),
 "MQAT_NO_CONTEXT", 0L,
 "MQAT_CICS",1L,
 "MQAT_MVS",2L,
 "MQAT_OS390",       2L,
 "MQAT_IMS",     3L,
 "MQAT_OS2",   4L,
 "MQAT_DOS", 5L,
 "MQAT_AIX",        6L,
 "MQAT_UNIX",      6L,
 "MQAT_QMGR",    7L,
 "MQAT_OS400",  8L,
 "MQAT_WINDOWS",    9L,
 "MQAT_CICS_VSE",  10L,
 "MQAT_WINDOWS_NT",  11L,
 "MQAT_VMS",  12L,
 "MQAT_GUARDIAN",   13L,
 "MQAT_NSK",    13L,
 "MQAT_VOS",    14L,
 "MQAT_IMS_BRIDGE",  19L,
 "MQAT_XCF",     20L,
 "MQAT_CICS_BRIDGE",21L,
 "MQAT_NOTES_AGENT",22L,
 "MQAT_BROKER",     26L,
 "MQAT_JAVA",   28L,
 "MQAT_DQM",       29L,
 "MQAT_DEFAULT",     11L,
};

static XMQ_CONVERSION_TABLE	CT_MQCHS[]= {
 "MQCHS_INACTIVE",     0L,
 "MQCHS_BINDING",      1L,
 "MQCHS_STARTING",     2L,
 "MQCHS_RUNNING",      3L,
 "MQCHS_STOPPING",     4L,
 "MQCHS_RETRYING",     5L,
 "MQCHS_STOPPED",      6L,
 "MQCHS_REQUESTING",   7L,
 "MQCHS_PAUSED",       8L,
 "MQCHS_INITIALIZING", 13L,
};

static XMQ_CONVERSION_TABLE	CT_MQXPT[]= {
 "MQXPT_LOCAL",   0L,
 "MQXPT_LU62",    1L,
 "MQXPT_TCP",     2L,
 "MQXPT_NETBIOS", 3L,
 "MQXPT_SPX",     4L,
 "MQXPT_DECNET",  5L,
 "MQXPT_UDP ",    6L,
};

static XMQ_CONVERSION_TABLE	CT_MQIACF[]= {

 "MQIACF_Q_MGR_ATTRS",           1001L,
 "MQIACF_Q_ATTRS",               1002L,
 "MQIACF_PROCESS_ATTRS",         1003L,
 "MQIACF_NAMELIST_ATTRS",        1004L,
 "MQIACF_FORCE",                 1005L,
 "MQIACF_REPLACE",               1006L,
 "MQIACF_PURGE",                 1007L,
 "MQIACF_QUIESCE",               1008L,
 "MQIACF_ALL",                   1009L,
 "MQIACF_PARAMETER_ID",          1012L,
 "MQIACF_ERROR_ID",              1013L,
 "MQIACF_ERROR_IDENTIFIER",      1013L,
 "MQIACF_SELECTOR",              1014L,
 "MQIACF_CHANNEL_ATTRS",         1015L,
 "MQIACF_ESCAPE_TYPE",           1017L,
 "MQIACF_ERROR_OFFSET",          1018L,
 "MQIACF_REASON_QUALIFIER",      1020L,
 "MQIACF_COMMAND",               1021L,
 "MQIACF_OPEN_OPTIONS",          1022L,
 "MQIACF_AUX_ERROR_DATA_INT_1",  1070L,
 "MQIACF_AUX_ERROR_DATA_INT_2",  1071L,
 "MQIACF_CONV_REASON_CODE",      1072L,
 "MQIACF_BRIDGE_TYPE",           1073L,
 "MQIACF_INQUIRY",               1074L,
 "MQIACF_WAIT_INTERVAL",         1075L,
 "MQIACF_OPTIONS",               1076L,
 "MQIACF_BROKER_OPTIONS",        1077L,
 "MQIACF_SEQUENCE_NUMBER",       1079L,
 "MQIACF_INTEGER_DATA",          1080L,
 "MQIACF_REGISTRATION_OPTIONS",  1081L,
 "MQIACF_PUBLICATION_OPTIONS",   1082L,
 "MQIACF_CLUSTER_INFO",          1083L,
 "MQIACF_Q_MGR_DEFINITION_TYPE", 1084L,
 "MQIACF_Q_MGR_TYPE",            1085L,
 "MQIACF_ACTION",                1086L,
 "MQIACF_SUSPEND",               1087L,
 "MQIACF_BROKER_COUNT",          1088L,
 "MQIACF_APPL_COUNT",            1089L,
 "MQIACF_ANONYMOUS_COUNT",      1090L,
 "MQIACF_REG_REG_OPTIONS",       1091L,
 "MQIACF_DELETE_OPTIONS",        1092L,
 "MQIACF_CLUSTER_Q_MGR_ATTRS",   1093L,

};

static XMQ_CONVERSION_TABLE	CT_MQIACH[]= {

 "MQIACH_XMIT_PROTOCOL_TYPE",      1501L,
 "MQIACH_BATCH_SIZE",              1502L,
 "MQIACH_DISC_INTERVAL",           1503L,
 "MQIACH_SHORT_TIMER",             1504L,
 "MQIACH_SHORT_RETRY",             1505L,
 "MQIACH_LONG_TIMER",              1506L,
 "MQIACH_LONG_RETRY",              1507L,
 "MQIACH_PUT_AUTHORITY",           1508L,
 "MQIACH_SEQUENCE_NUMBER_WRAP",    1509L,
 "MQIACH_MAX_MSG_LENGTH",          1510L,
 "MQIACH_CHANNEL_TYPE",            1511L,
 "MQIACH_DATA_COUNT",              1512L,
 "MQIACH_MSG_SEQUENCE_NUMBER",     1514L,
 "MQIACH_DATA_CONVERSION",         1515L,
 "MQIACH_IN_DOUBT",                1516L,
 "MQIACH_MCA_TYPE",                1517L,
 "MQIACH_CHANNEL_INSTANCE_TYPE",   1523L,
 "MQIACH_CHANNEL_INSTANCE_ATTRS",  1524L,
 "MQIACH_CHANNEL_ERROR_DATA",      1525L,
 "MQIACH_CHANNEL_TABLE",           1526L,
 "MQIACH_CHANNEL_STATUS",          1527L,
 "MQIACH_INDOUBT_STATUS",          1528L,
 "MQIACH_LAST_SEQ_NUMBER",         1529L,
 "MQIACH_LAST_SEQUENCE_NUMBER",    1529L,
 "MQIACH_CURRENT_MSGS",            1531L,
 "MQIACH_CURRENT_SEQ_NUMBER",      1532L,
 "MQIACH_CURRENT_SEQUENCE_NUMBER", 1532L,
 "MQIACH_MSGS",                    1534L,
 "MQIACH_BYTES_SENT",              1535L,
 "MQIACH_BYTES_RCVD",              1536L,
 "MQIACH_BYTES_RECEIVED",          1536L,
 "MQIACH_BATCHES",                 1537L,
 "MQIACH_BUFFERS_SENT",            1538L,
 "MQIACH_BUFFERS_RCVD",            1539L,
 "MQIACH_BUFFERS_RECEIVED",        1539L,
 "MQIACH_LONG_RETRIES_LEFT",       1540L,
 "MQIACH_SHORT_RETRIES_LEFT",      1541L,
 "MQIACH_MCA_STATUS",              1542L,
 "MQIACH_STOP_REQUESTED",          1543L,
 "MQIACH_MR_COUNT",                1544L,
 "MQIACH_MR_INTERVAL",             1545L,
 "MQIACH_NPM_SPEED",               1562L,
 "MQIACH_HB_INTERVAL",             1563L,
 "MQIACH_BATCH_INTERVAL",          1564L,
 "MQIACH_NETWORK_PRIORITY",       1565L,
};

static XMQ_CONVERSION_TABLE	CT_MQCACF[]= {

 "MQCACF_FROM_Q_NAME",             3001L,
 "MQCACF_TO_Q_NAME",               3002L,
 "MQCACF_FROM_PROCESS_NAME",       3003L,
 "MQCACF_TO_PROCESS_NAME",         3004L,
 "MQCACF_FROM_NAMELIST_NAME",      3005L,
 "MQCACF_TO_NAMELIST_NAME",        3006L,
 "MQCACF_FROM_CHANNEL_NAME",       3007L,
 "MQCACF_TO_CHANNEL_NAME",         3008L,
 "MQCACF_Q_NAMES",                 3011L,
 "MQCACF_PROCESS_NAMES",           3012L,
 "MQCACF_NAMELIST_NAMES",          3013L,
 "MQCACF_ESCAPE_TEXT",             3014L,
 "MQCACF_LOCAL_Q_NAMES",           3015L,
 "MQCACF_MODEL_Q_NAMES",           3016L,
 "MQCACF_ALIAS_Q_NAMES",           3017L,
 "MQCACF_REMOTE_Q_NAMES",          3018L,
 "MQCACF_SENDER_CHANNEL_NAMES",    3019L,
 "MQCACF_SERVER_CHANNEL_NAMES",    3020L,
 "MQCACF_REQUESTER_CHANNEL_NAMES", 3021L,
 "MQCACF_RECEIVER_CHANNEL_NAMES",  3022L,
 "MQCACF_OBJECT_Q_MGR_NAME",       3023L,
 "MQCACF_APPL_NAME",               3024L,
 "MQCACF_USER_IDENTIFIER",         3025L,
 "MQCACF_AUX_ERROR_DATA_STR_1",    3026L,
 "MQCACF_AUX_ERROR_DATA_STR_2",    3027L,
 "MQCACF_AUX_ERROR_DATA_STR_3",    3028L,
 "MQCACF_BRIDGE_NAME",             3029L,
 "MQCACF_STREAM_NAME",             3030L,
 "MQCACF_TOPIC",                   3031L,
 "MQCACF_PARENT_Q_MGR_NAME",       3032L,
 "MQCACF_PUBLISH_TIMESTAMP",       3034L,
 "MQCACF_STRING_DATA",             3035L,
 "MQCACF_SUPPORTED_STREAM_NAME",   3036L,
 "MQCACF_REG_TOPIC",               3037L,
 "MQCACF_REG_TIME",                3038L,
 "MQCACF_REG_USER_ID",             3039L,
 "MQCACF_CHILD_Q_MGR_NAME",       3040L,
 "MQCACF_REG_STREAM_NAME",         3041L,
 "MQCACF_REG_Q_MGR_NAME",          3042L,
 "MQCACF_REG_Q_NAME",              3043L,
 "MQCACF_REG_CORREL_ID",           3044L,

};

static XMQ_CONVERSION_TABLE	CT_MQCACH[]= {

 "MQCACH_CHANNEL_NAME",        3501L,
 "MQCACH_DESC",                3502L,
 "MQCACH_MODE_NAME",           3503L,
 "MQCACH_TP_NAME",             3504L,
 "MQCACH_XMIT_Q_NAME",         3505L,
 "MQCACH_CONNECTION_NAME",     3506L,
 "MQCACH_MCA_NAME",            3507L,
 "MQCACH_SEC_EXIT_NAME",       3508L,
 "MQCACH_MSG_EXIT_NAME",       3509L,
 "MQCACH_SEND_EXIT_NAME",      3510L,
 "MQCACH_RCV_EXIT_NAME",       3511L,
 "MQCACH_CHANNEL_NAMES",       3512L,
 "MQCACH_SEC_EXIT_USER_DATA",  3513L,
 "MQCACH_MSG_EXIT_USER_DATA",  3514L,
 "MQCACH_SEND_EXIT_USER_DATA", 3515L,
 "MQCACH_RCV_EXIT_USER_DATA",  3516L,
 "MQCACH_USER_ID",             3517L,
 "MQCACH_PASSWORD",            3518L,
 "MQCACH_LAST_MSG_TIME",       3524L,
 "MQCACH_LAST_MSG_DATE",       3525L,
 "MQCACH_MCA_USER_ID",         3527L,
 "MQCACH_CHANNEL_START_TIME",  3528L,
 "MQCACH_CHANNEL_START_DATE",  3529L,
 "MQCACH_MCA_JOB_NAME",        3530L,
 "MQCACH_LAST_LUWID",          3531L,
 "MQCACH_CURRENT_LUWID",       3532L,
 "MQCACH_FORMAT_NAME",         3533L,
 "MQCACH_MR_EXIT_NAME",        3534L,
 "MQCACH_MR_EXIT_USER_DATA",   3535L,

};

static XMQ_CONVERSION_TABLE	CT_MQCA[]= {
"MQCA_APPL_ID",					2001L,
"MQCA_BASE_Q_NAME ",			2002L,
"MQCA_COMMAND_INPUT_Q_NAME",	2003L,
"MQCA_CREATION_DATE",			2004L,
"MQCA_CREATION_TIME",			2005L,
"MQCA_DEAD_LETTER_Q_NAME",		2006L,
"MQCA_ENV_DATA",				2007L,
"MQCA_INITIATION_Q_NAME",		2008L,
"MQCA_NAMELIST_DESC",			2009L,
"MQCA_NAMELIST_NAME",			2010L,
"MQCA_PROCESS_DESC",			2011L,
"MQCA_PROCESS_NAME",			2012L,
"MQCA_Q_DESC",					2013L,
"MQCA_Q_MGR_DESC",				2014L,
"MQCA_Q_MGR_NAME",				2015L,
"MQCA_Q_NAME",					2016L,
"MQCA_REMOTE_Q_MGR_NAME",		2017L,
"MQCA_REMOTE_Q_NAME",			2018L,
"MQCA_BACKOUT_REQ_Q_NAME",		2019L,
"MQCA_NAMES",					2020L,
"MQCA_USER_DATA",				2021L,
"MQCA_STORAGE_CLASS",			2022L,
"MQCA_TRIGGER_DATA",			2023L,
"MQCA_XMIT_Q_NAME",				2024L,
"MQCA_DEF_XMIT_Q_NAME",			2025L,
"MQCA_CHANNEL_AUTO_DEF_EXIT",	2026L,
"MQCA_ALTERATION_DATE",			2027L,
"MQCA_ALTERATION_TIME",			2028L,
"MQCA_CLUSTER_NAME",			2029L,
"MQCA_CLUSTER_NAMELIST",		2030L,
"MQCA_CLUSTER_Q_MGR_NAME",		2031L,
"MQCA_Q_MGR_IDENTIFIER",		2032L,
"MQCA_CLUSTER_WORKLOAD_EXIT",	2033L,
"MQCA_CLUSTER_WORKLOAD_DATA",	2034L,
"MQCA_REPOSITORY_NAME",			2035L,
"MQCA_REPOSITORY_NAMELIST",		2036L,
"MQCA_CLUSTER_DATE",			2037L,
"MQCA_CLUSTER_TIME",			2038L,
"MQCA_CF_STRUC_NAME",			2039L,
"MQCA_QSG_NAME",				2040L,
"MQCA_IGQ_USER_ID",				2041L,
"MQCA_USER_LIST",				4000L,
 
};

 /* Integer-Attribute Selectors */
 static XMQ_CONVERSION_TABLE	CT_MQIA[]= {
 "MQIA_APPL_TYPE",                1L,
 "MQIA_CODED_CHAR_SET_ID",        2L,
 "MQIA_CURRENT_Q_DEPTH",          3L,
 "MQIA_DEF_INPUT_OPEN_OPTION",    4L,
 "MQIA_DEF_PERSISTENCE",          5L,
 "MQIA_DEF_PRIORITY",             6L,
 "MQIA_DEFINITION_TYPE",          7L,
 "MQIA_HARDEN_GET_BACKOUT",       8L,
 "MQIA_INHIBIT_GET",              9L,
 "MQIA_INHIBIT_PUT",              10L,
 "MQIA_MAX_HANDLES",              11L,
 "MQIA_USAGE",                    12L,
 "MQIA_MAX_MSG_LENGTH",           13L,
 "MQIA_MAX_PRIORITY",             14L,
 "MQIA_MAX_Q_DEPTH",              15L,
 "MQIA_MSG_DELIVERY_SEQUENCE",    16L,
 "MQIA_OPEN_INPUT_COUNT",         17L,
 "MQIA_OPEN_OUTPUT_COUNT",        18L,
 "MQIA_NAME_COUNT",               19L,
 "MQIA_Q_TYPE",                   20L,
 "MQIA_RETENTION_INTERVAL",       21L,
 "MQIA_BACKOUT_THRESHOLD",        22L,
 "MQIA_SHAREABILITY",             23L,
 "MQIA_TRIGGER_CONTROL",          24L,
 "MQIA_TRIGGER_INTERVAL",         25L,
 "MQIA_TRIGGER_MSG_PRIORITY",     26L,
 "MQIA_TRIGGER_TYPE",             28L,
 "MQIA_TRIGGER_DEPTH",            29L,
 "MQIA_SYNCPOINT",                30L,
 "MQIA_COMMAND_LEVEL",            31L,
 "MQIA_PLATFORM",                 32L,
 "MQIA_MAX_UNCOMMITTED_MSGS",     33L,
 "MQIA_DIST_LISTS",               34L,
 "MQIA_TIME_SINCE_RESET",         35L,
 "MQIA_HIGH_Q_DEPTH",             36L,
 "MQIA_MSG_ENQ_COUNT",            37L,
 "MQIA_MSG_DEQ_COUNT",            38L,
 "MQIA_Q_DEPTH_HIGH_LIMIT",       40L,
 
 "MQIA_Q_DEPTH_LOW_LIMIT",        41L,
 "MQIA_Q_DEPTH_MAX_EVENT",        42L,
 "MQIA_Q_DEPTH_HIGH_EVENT",       43L,
 "MQIA_Q_DEPTH_LOW_EVENT",        44L,
 "MQIA_SCOPE",                    45L,
 "MQIA_Q_SERVICE_INTERVAL_EVENT", 46L,
 "MQIA_AUTHORITY_EVENT",          47L,
 "MQIA_INHIBIT_EVENT",            48L,
 "MQIA_LOCAL_EVENT",              49L,
 "MQIA_REMOTE_EVENT",             50L,
 "MQIA_START_STOP_EVENT",         52L,
 "MQIA_PERFORMANCE_EVENT",        53L,
 "MQIA_Q_SERVICE_INTERVAL",       54L,
 "MQIA_CHANNEL_AUTO_DEF",         55L,
 "MQIA_CHANNEL_AUTO_DEF_EVENT",   56L,
 "MQIA_INDEX_TYPE",               57L,
 "MQIA_CLUSTER_WORKLOAD_LENGTH",  58L,
 "MQIA_CLUSTER_Q_TYPE",           59L,
 "MQIA_ARCHIVE",                  60L,
 "MQIA_DEF_BIND",                 61L,
 "MQIA_QSG_DISP",                 63L,
 "MQIA_INTRA_GROUP_QUEUING",      64L,
 "MQIA_IGQ_PUT_AUTHORITY",		   65L,
 "MQIA_USER_LIST",                2000L,
 };

  static XMQ_CONVERSION_TABLE	CT_MQRQ[]= {
"MQRQ_CONN_NOT_AUTHORIZED",      1L,
 "MQRQ_OPEN_NOT_AUTHORIZED",      2L,
 "MQRQ_CLOSE_NOT_AUTHORIZED",     3L,
 "MQRQ_CMD_NOT_AUTHORIZED",       4L,
 "MQRQ_Q_MGR_STOPPING",           5L,
 "MQRQ_Q_MGR_QUIESCING",          6L,
 "MQRQ_CHANNEL_STOPPED_OK",       7L,
 "MQRQ_CHANNEL_STOPPED_ERROR",    8L,
 "MQRQ_CHANNEL_STOPPED_RETRY",    9L,
 "MQRQ_CHANNEL_STOPPED_DISABLED", 10L,
 "MQRQ_BRIDGE_STOPPED_OK",        11L,
 "MQRQ_BRIDGE_STOPPED_ERROR",     12L,
 };

  static XMQ_CONVERSION_TABLE	CT_MQCFT[]= {
"MQCFT_COMMAND",      1L,
 "MQCFT_RESPONSE",     2L,
 "MQCFT_INTEGER",      3L,
 "MQCFT_STRING",       4L,
 "MQCFT_INTEGER_LIST", 5L,
 "MQCFT_STRING_LIST",  6L,
 "MQCFT_EVENT",        7L,
 "MQCFT_USER",         8L,
  };

  static XMQ_CONVERSION_TABLE	CT_MQPER[]= {
  "MQPER_NOT_PERSISTENT",       0L,
 "MQPER_PERSISTENT",           1L,
 "MQPER_PERSISTENCE_AS_Q_DEF", 2L,
  };

  static XMQ_CONVERSION_TABLE	CT_MQOO[]= {
 "MQOO_BIND_AS_Q_DEF",            0x00000000L,
 "MQOO_INPUT_AS_Q_DEF",           0x00000001L,
 "MQOO_INPUT_SHARED",             0x00000002L,
 "MQOO_INPUT_EXCLUSIVE ",         0x00000004L,
 "MQOO_BROWSE ",                  0x00000008L,
 "MQOO_OUTPUT",                   0x00000010L,
 "MQOO_INQUIRE",                  0x00000020L,
 "MQOO_SET",                      0x00000040L,
 "MQOO_SAVE_ALL_CONTEXT",         0x00000080L,
 "MQOO_PASS_IDENTITY_CONTEXT",    0x00000100L,
 "MQOO_PASS_ALL_CONTEXT",         0x00000200L,
 "MQOO_SET_IDENTITY_CONTEXT",     0x00000400L,
 "MQOO_SET_ALL_CONTEXT",          0x00000800L,
 "MQOO_ALTERNATE_USER_AUTHORITY", 0x00001000L,
 "MQOO_FAIL_IF_QUIESCING",        0x00002000L,
 "MQOO_BIND_ON_OPEN",             0x00004000L,
 "MQOO_BIND_NOT_FIXED",           0x00008000L,
 "MQOO_RESOLVE_NAMES",            0x00010000L,
  };

static XMQ_CONVERSION_TABLE	CT_MQQT[]= {
 "MQQT_LOCAL",     1L,
 "MQQT_MODEL",     2L,
 "MQQT_ALIAS",     3L,
 "MQQT_REMOTE",    6L,
 "MQQT_CLUSTER",   7L,
};

static XMQ_CONVERSION_TABLE	CT_MQUS[]= {
"MQUS_NORMAL",       0L,
"MQUS_TRANSMISSION", 1L,
};

static XMQ_CONVERSION_TABLE	CT_MQTT[]= {
"MQTT_NONE",  0L,
 "MQTT_FIRST", 1L,
 "MQTT_EVERY", 2L,
 "MQTT_DEPTH", 3L,
};

static XMQ_CONVERSION_TABLE	CT_MQPL[]= {
"MQPL_MVS",        1L,
 "MQPL_OS390",      1L,
 "MQPL_OS2",        2L,
 "MQPL_AIX",        3L,
 "MQPL_UNIX",       3L,
 "MQPL_OS400",      4L,
 "MQPL_WINDOWS",    5L,
 "MQPL_WINDOWS_NT", 11L,
 "MQPL_VMS",        12L,
 "MQPL_NSK",        13L,
};

static XMQ_CONVERSION_TABLE	CT_MQMT[]= {
 "MQMT_REQUEST",             1L,
 "MQMT_REPLY",               2L,
 "MQMT_REPORT",              4L,
 "MQMT_DATAGRAM",            8L,
 "MQMT_MQE_FIELDS_FROM_MQE", 112L,
 "MQMT_MQE_FIELDS",          113L,
};

static XMQ_CONVERSION_TABLE	CT_MQRO[]= {
	"MQRO_NONE",                      0x00000000L,
	"MQRO_PAN",                       0x00000001L,
	"MQRO_NAN",                       0x00000002L,
	"MQRO_PASS_CORREL_ID",            0x00000040L,
	"MQRO_PASS_MSG_ID",               0x00000080L,
	"MQRO_COA",                       0x00000100L,
	"MQRO_COA_WITH_DATA",             0x00000300L,
	"MQRO_COA_WITH_FULL_DATA",        0x00000700L,
	"MQRO_COD",                       0x00000800L,
	"MQRO_COD_WITH_DATA",             0x00001800L,
	"MQRO_COD_WITH_FULL_DATA",        0x00003800L,
	"MQRO_EXPIRATION",                0x00200000L,
	"MQRO_EXPIRATION_WITH_DATA",      0x00600000L,
	"MQRO_EXPIRATION_WITH_FULL_DATA", 0x00e00000L,
	"MQRO_EXCEPTION_WITH_DATA",       0x03000000L,
	"MQRO_EXCEPTION_WITH_FULL_DATA",  0x07000000L,
	"MQRO_EXCEPTION",                 0x01000000L,
	"MQRO_DISCARD_MSG",               0x08000000L,
 
};

static XMQ_CONVERSION_TABLE	CT_MQPMO[]= {
"MQPMO_NONE",                     0x00000000L,
"MQPMO_SYNCPOINT",                0x00000002L,
"MQPMO_NO_SYNCPOINT",             0x00000004L,
"MQPMO_DEFAULT_CONTEXT",          0x00000020L,
"MQPMO_NEW_MSG_ID",               0x00000040L,
"MQPMO_NEW_CORREL_ID",            0x00000080L,
"MQPMO_PASS_IDENTITY_CONTEXT",    0x00000100L,
"MQPMO_PASS_ALL_CONTEXT",         0x00000200L,
"MQPMO_SET_IDENTITY_CONTEXT",     0x00000400L,
"MQPMO_SET_ALL_CONTEXT",          0x00000800L,
"MQPMO_ALTERNATE_USER_AUTHORITY", 0x00001000L,
"MQPMO_FAIL_IF_QUIESCING",        0x00002000L,
"MQPMO_NO_CONTEXT",               0x00004000L,
"MQPMO_LOGICAL_ORDER",            0x00008000L,


 
};

static XMQ_CONVERSION_TABLE	CT_MQGMO[]= {
"MQGMO_NONE",						0x00000000L,
"MQGMO_WAIT",					0x00000001L,
"MQGMO_SYNCPOINT",              0x00000002L,
"MQGMO_NO_SYNCPOINT",           0x00000004L,
"MQGMO_SET_SIGNAL",             0x00000008L,
"MQGMO_BROWSE_FIRST",           0x00000010L,
"MQGMO_BROWSE_NEXT",            0x00000020L,
"MQGMO_ACCEPT_TRUNCATED_MSG",   0x00000040L,
"MQGMO_MARK_SKIP_BACKOUT",      0x00000080L,
"MQGMO_MSG_UNDER_CURSOR",       0x00000100L,
"MQGMO_LOCK",                   0x00000200L,
"MQGMO_UNLOCK",                 0x00000400L,
"MQGMO_BROWSE_MSG_UNDER_CURSOR",0x00000800L,
"MQGMO_SYNCPOINT_IF_PERSISTENT",0x00001000L,
"MQGMO_FAIL_IF_QUIESCING",      0x00002000L,
"MQGMO_CONVERT",                0x00004000L,
"MQGMO_LOGICAL_ORDER",          0x00008000L,
"MQGMO_COMPLETE_MSG",           0x00010000L,
"MQGMO_ALL_MSGS_AVAILABLE",     0x00020000L,
"MQGMO_ALL_SEGMENTS_AVAILABLE", 0x00040000L,
};
 

static XMQ_CONVERSION_TABLE	CT_MQFB[]= {
"MQFB_NONE",                   0L,
 "MQFB_SYSTEM_FIRST",           1L,
 "MQFB_QUIT",                   256L,
 "MQFB_EXPIRATION",             258L,
 "MQFB_COA",                    259L,
 "MQFB_COD",                    260L,
 "MQFB_CHANNEL_COMPLETED",      262L,
 "MQFB_CHANNEL_FAIL_RETRY",     263L,
 "MQFB_CHANNEL_FAIL",           264L,
 "MQFB_APPL_CANNOT_BE_STARTED", 265L,
 "MQFB_TM_ERROR",               266L,
 "MQFB_APPL_TYPE_ERROR",        267L,
 "MQFB_STOPPED_BY_MSG_EXIT",    268L,
 "MQFB_XMIT_Q_MSG_ERROR",       271L,
 "MQFB_PAN",                    275L,
 "MQFB_NAN",                    276L,
 "MQFB_STOPPED_BY_CHAD_EXIT",   277L,
 "MQFB_STOPPED_BY_PUBSUB_EXIT", 279L,
 "MQFB_NOT_A_REPOSITORY_MSG",   280L,
 "MQFB_BIND_OPEN_CLUSRCVR_DEL", 281L,
 "MQFB_DATA_LENGTH_ZERO",       291L,
 "MQFB_DATA_LENGTH_NEGATIVE",   292L,
 "MQFB_DATA_LENGTH_TOO_BIG",    293L,
 "MQFB_BUFFER_OVERFLOW",        294L,
 "MQFB_LENGTH_OFF_BY_ONE",      295L,
 "MQFB_IIH_ERROR",              296L,
 "MQFB_NOT_AUTHORIZED_FOR_IMS", 298L,
 "MQFB_IMS_ERROR",              300L,
 "MQFB_IMS_FIRST",              301L,
 "MQFB_IMS_LAST",               399L,
 "MQFB_CICS_INTERNAL_ERROR",    401L,
 "MQFB_CICS_NOT_AUTHORIZED",    402L,
 "MQFB_CICS_BRIDGE_FAILURE",    403L,
 "MQFB_CICS_CORREL_ID_ERROR",   404L,
 "MQFB_CICS_CCSID_ERROR",       405L,
 "MQFB_CICS_ENCODING_ERROR",    406L,
 "MQFB_CICS_CIH_ERROR",         407L,
 "MQFB_CICS_UOW_ERROR",         408L,
 "MQFB_CICS_COMMAREA_ERROR",    409L,
 "MQFB_CICS_APPL_NOT_STARTED",  410L,
 "MQFB_CICS_APPL_ABENDED",      411L,
 "MQFB_CICS_DLQ_ERROR",         412L,
 "MQFB_CICS_UOW_BACKED_OUT",    413L,
};

static XMQ_CONVERSION_TABLE	CT_MQQDT[]= {
 "MQQDT_PREDEFINED",        1L,
 "MQQDT_PERMANENT_DYNAMIC", 2L,
 "MQQDT_TEMPORARY_DYNAMIC", 3L,
 "MQQDT_SHARED_DYNAMIC",    4L,
};

static XMQ_CONVERSION_TABLE	CT_MQENC[]= {
//"MQENC_DECIMAL_UNDEFINED",		0x00000000L,
//"MQENC_INTEGER_UNDEFINED",		0x00000000L,
//"MQENC_FLOAT_UNDEFINED",		0x00000000L,
"MQENC_INTEGER_NORMAL",			0x00000001L,
"MQENC_INTEGER_REVERSED",		0x00000002L,
"MQENC_INTEGER_MASK",			0x0000000fL,
"MQENC_DECIMAL_NORMAL",			0x00000010L,
"MQENC_DECIMAL_REVERSED",		0x00000020L,
"MQENC_DECIMAL_MASK",			0x000000f0L,
"MQENC_FLOAT_IEEE_NORMAL",		0x00000100L,
"MQENC_FLOAT_IEEE_REVERSED",	0x00000200L,
"MQENC_NATIVE",					0x00000222L,
"MQENC_FLOAT_S390",				0x00000300L,
"MQENC_FLOAT_MASK",				0x00000f00L,

};
//"MQENC_RESERVED_MASK",			0xfffff000L,

static XMQ_CONVERSION_TABLE	CT_MQMF[]= {
"MQMF_NONE",						0x00000000,
"MQMF_SEGMENTATION_ALLOWED",		0x00000001,
"MQMF_SEGMENT",						0x00000002,
"MQMF_LAST_SEGMENT",				0x00000004,
"MQMF_MSG_IN_GROUP",				0x00000008,
"MQMF_LAST_MSG_IN_GROUP",			0x00000010,
"MQMF_REJECT_UNSUP_MASK",			0x00000fff,
"MQMF_ACCEPT_UNSUP_IF_XMIT_MASK",	0x000ff000,
"MQMF_ACCEPT_UNSUP_MASK",			0xfff00000,
};
 
#endif

